name: gobuild

on: [push]

env: 
  BUILD_TYPE: Release

jobs:
  build:
    runs-on: golang-latest

    steps:
      - name: Lets See What We Have
        run:
          uname -a
          && echo $PATH
          && echo $GOPATH
          && which go
          && go version
      - name: Clone Repo
        run:
          git clone https://repos.gmgauthier.com/gmgauthier/gostations.git .
          && ls -la
      - name: Linux Build
        run:
          ./ci-build.sh
